## org.eclipse.emf.edit.provider
Interface IUpdateableItemText

    public interface IUpdateableItemText

This is the interface implemented by an item provider if it supports an updateable item text. This is be used to support edit-in-place tree items.

Method Summary
`java.lang.String` `getUpdateableText(java.lang.Object object)` This returns the text that will be displayed when editing begins.
`void` `setText(java.lang.Object object, java.lang.String text)` This sets the given object's label text to the given text.

Method Detail

### getUpdateableText

    java.lang.String getUpdateableText(java.lang.Object object)

  This returns the text that will be displayed when editing begins.

### setText

    void setText(java.lang.Object object,
                 java.lang.String text)

  This sets the given object's label text to the given text.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.